import type { EventHandlerFn } from './types';
import { EventKinds } from './types';
type ISubscriptions = {
    [key: string]: Array<EventHandlerFn<unknown>>;
};
/**
 * Creates a subscription manager.
 */
export declare const createSubscriptions: () => {
    getSubscriptions: <E>(key: EventKinds) => EventHandlerFn<E>[];
    addSubscription: <E_1>(key: EventKinds, handler: EventHandlerFn<E_1>) => () => void;
    removeSubscription: <E_2>(key: EventKinds, handler: EventHandlerFn<E_2>) => void;
    fireEvent: <E_3>(key: EventKinds, event: E_3) => void;
    subscriptions: ISubscriptions;
};
export {};
